define([
	'backbone',
	'ResourceLink'
],
    function (Backbone, ResourceLink) {
        'use strict';
        var Resources = Backbone.Collection.extend({
            model: ResourceLink,
            url: "../../PatientViewerServices/rest/public/resource-directory", //Kicks-off dynamic URIs
            parse: function (response) {
                return response.link;
            },
            initialize: function () {
                this.fetch({async: false, cache: false});
            }
        });
        return new Resources();
    }
);
